/*
Theme Name: Creekside
Theme URI: 
Author: Samuel Lovetro
Author URI: 
Description: A child of Frost
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: frost
Text Domain: creekside
Tags: 
*/

/* Show on Desktop (1025px and up) */
@media (min-width: 1025px) {
  .hide-desktop {
    display: none !important;
  }
}

/* Show on Tablet (601px to 1024px) */
@media (min-width: 601px) and (max-width: 1024px) {
  .hide-tablet {
    display: none !important;
  }
}

/* Show on Mobile (600px and below) */
@media (max-width: 600px) {
  .hide-mobile {
    display: none !important;
  }
}
/* Editor: Remove Block top margin globally */
:root :where(.wp-site-blocks) > * {
  margin-block-start: 0!important;
}
b, strong, th {
	font-weight:var(--wp--custom--font-weight--bold)!important;
}
/* Top info banner */
.top-info .business-email-link {
	text-align: right;
}
.top-info .business-email-link a:hover, .top-info .business-phone-link a:hover {
	color:var(--wp--preset--color--white);
}
/* Turn on and off top info pieces */
@media (max-width: 781px) {
  .top-info .business-phone-link {
    text-align: center !important;
	font-size:var(--wp--preset--font-size--large)!important;
  }
  .top-info .business-email-link { 
	  display:none;
  }
}
/* Top navigation indicators */
#modal-1-content .wp-block-navigation-item > .wp-block-navigation-submenu .wp-block-navigation-item__content:hover > .wp-block-navigation-item__label{
  color: var(--wp--preset--color--custom-light-link) !important;
}
#modal-1-content .wp-block-navigation a.wp-block-navigation-item__content[aria-current="page"] {
  color: var(--wp--preset--color--custom-grey-999) !important;
}
#modal-1-content .current-menu-ancestor > a.wp-block-navigation-item__content {
  color: var(--wp--preset--color--custom-dark-link) !important;
  border-bottom:2px solid var(--wp--preset--color--contrast);
  cursor: default;
}
:root .wp-block-navigation-item.home-btn {
	display:none;
}
@media (max-width: 919px) {
	:root .wp-block-navigation-item.home-btn {
		display:block;
	}
}
#modal-1 {
	background-color:#000;
	color:#fff;
}
:root .get-in-touch-btn a {
  background-color: var(--wp--preset--color--contrast);
  color: var(--wp--preset--color--white);
  transition: all 0.3s ease;
}
:root .get-in-touch-btn a:hover {
  background-color: var(--wp--preset--color--custom-light-link);
  color: var(--wp--preset--color--contrast);
	-moz-transform: scale(1.1);
	-webkit-transform: scale(1.1);
	-o-transform: scale(1.1);
	-ms-transform: scale(v);
	transform: scale(1.1);
}
:root .get-in-touch-page .get-in-touch-btn a {
  background-color: var(--wp--preset--color--custom-cream);
  color: var(--wp--preset--color--contrast);
  cursor: default;
}
:root .get-in-touch-page .get-in-touch-btn a:hover {
	-moz-transform: none;
	-webkit-transform: none;
	-o-transform: none;
	-ms-transform: none;
	transform: none;
}
.client-center-btn a:hover, .pay-bill-btn a:hover {
  background-color: var(--wp--preset--color--contrast);
  color: #fff!important;
  -moz-transform: scale(1.1);
	-webkit-transform: scale(1.1);
	-o-transform: scale(1.1);
	-ms-transform: scale(1.1);
	transform: scale(1.1);

  transition: all 0.3s ease;
}
/* Responsive logo */
@media (max-width: 600px) {
  .logo-img {
	width:175px
  }
}
/* Hamburger Display */
@media (min-width: 600px) {
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block !important;
  }
}
@media (min-width: 920px) {
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: none !important;
  }
}

@media (min-width: 601px) and (max-width: 919px) {
  .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    background-color: inherit;
    display: none;
  }
  .logo-img {
	width:200px
  }
}
@media (min-width: 920px) {
  .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    background-color: inherit;
    display: block;
    position: relative;
    width: 100%;
    z-index: auto;
  }
}
.wp-block-navigation__responsive-container-close, .wp-block-navigation__responsive-container-open {
  border: 2px solid currentColor!important;
}
.wp-block-navigation__responsive-container-open svg rect {
	height:2px
}
/* Content Styles */
.section-pre-title {
	font-size: 1rem;
	font-weight: bold;
    margin-bottom: 0.5rem;
	text-transform: uppercase;
	text-align: center;
	letter-spacing: 1px;
}
.section-title {
	font-size: var(--wp--preset--font-size--max-36);
	font-family: var(--wp--preset--font-family--inter);
    margin-bottom: 2rem;
	text-align: center;
	font-weight: 300;
}
.yoast-breadcrumbs {
	text-align: center;
	font-size: 16px;
	margin-bottom:15px;
}
.image-float-right {
  float: right;
  margin-left: 2rem;
  margin-bottom: 1rem;
  max-width: 50%;
}
@media (max-width: 600px) {
  .image-float-right {
    float: none;
    display: block;
    margin: 1rem auto;
	max-width: 100%;
  }
}
.inline-block {
	display: inline-block!important;
}
@media (min-width: 782px) and (max-width: 930px) {
	.cards {
		flex-wrap: wrap !important;
	}
	.card {
		flex:0 1 45%!important;
	}
}

.card-hover, .icon-button-hover, .card-hover:hover .wp-block-heading a, .button-hover {
	-webkit-transition: all 375ms ease-out;
	-moz-transition: all 375ms ease-out;
	-ms-transition: all 375ms ease-out;
	-o-transition: all 375ms ease-out;
	transition: all 375ms ease-out;
}
.card-hover:hover{
	background: #fff!important;
}
.card-hover:hover figure a:hover{
	-moz-transform: scale(1.15);
	-webkit-transform: scale(1.15);
	-o-transform: scale(1.15);
	-ms-transform: scale(1.15);
	transform: scale(1.15);
}
.card-hover:hover .wp-block-heading a {
	display:block;
}
.card-hover:hover .wp-block-heading a:hover{
	-moz-transform: scale(1.15);
	-webkit-transform: scale(1.15);
	-o-transform: scale(1.15);
	-ms-transform: scale(1.15);
	transform: scale(1.15);	
}
.button-hover a:hover {
	background:var(--wp--preset--color--secondary);
	color:var(--wp--preset--color--custom-cream);
	-moz-transform: scale(1.075);
	-webkit-transform: scale(1.075);
	-o-transform: scale(1.075);
	-ms-transform: scale(1.075);
	transform: scale(1.075);	
}
.icon-button-hover {
	background:#fff;
	border-radius:50%;
}
.icon-button-hover:hover {
	background:var(--wp--preset--color--custom-light-link);
	border-radius:50%;
	-moz-transform: scale(1.15);
	-webkit-transform: scale(1.15);
	-o-transform: scale(1.15);
	-ms-transform: scale(1.15);
	transform: scale(1.15);	
}
.what-we-do .wp-block-column {
	position:relative;
}
.what-we-do .section-pre-title::after {
  content: "";
  position: absolute;
  left: 0;
  height: 2px;
  width: 41%;
  background: var(--wp--preset--color--secondary);
  display: flex;
  align-items: center;
  margin-top: -15px;
}
.what-we-do .section-pre-title::before {
  content: "";
  position: absolute;
  left: 59%;
  height: 2px;
  width: 41%;
  background: var(--wp--preset--color--secondary);
  display: flex;
  align-items: center;
  margin-top: 12px;
}
.map-group.has-global-padding{padding:0;}
/* Add checkmarks option in a <ul> */
.wp-block-list.is-style-checkmarks {
  list-style: none;
  padding-left: 0;
}
.wp-block-list.is-style-checkmarks li {
  position: relative;
  padding-left: 1.5em;
  margin-bottom: 0.5em;
}
.wp-block-list.is-style-checkmarks li::before {
  content: "✔"; /* Unicode checkmark */
  position: absolute;
  left: 0;
  top: 0.5em;
  color: #00b386; /* Customize the color */
  font-size: 1em;
  line-height: 1;
}
.get-in-touch-page .git-business-info .business-address-link a,
.get-in-touch-page .git-business-info .business-email-link a,
.get-in-touch-page .git-business-info .business-phone-link a {
	color:var(--wp--preset--color--custom-dark-link);

}
.get-in-touch-page .git-business-info .business-address-link a:hover,
.get-in-touch-page .git-business-info .business-email-link a:hover,
.get-in-touch-page .git-business-info .business-phone-link a:hover {
	color:var(--wp--preset--color--secondary);
}
.get-in-touch-page .git-business-info .business-email-link a,
.get-in-touch-page .git-business-info .business-address-link a {
	font-size:18px;
	line-height: 1.2;
	margin-top:5px;
	display: block;
}
.get-in-touch-page .git-business-info .business-phone-link a {
	font-size:var(--wp--preset--font-size--large);
}
.delay-0-5s {animation-delay: .5s !important;}
.delay-1s, .delay-1-0s {animation-delay: 1s !important;}
.delay-1-5s {animation-delay: 1.5s !important;}
.delay-2s, .delay-2-0s {animation-delay: 2s !important;}
.delay-2-5s {animation-delay: 2.5s !important;}
.delay-3s, .delay-3-0s {animation-delay: 3s !important;}
.delay-3-5s {animation-delay: 3.5s !important;}
.delay-4s, .delay-4-0s {animation-delay: 4s !important;}
.delay-4-5s {animation-delay: 4.5s !important;}
.delay-5s, .delay-5-0s {animation-delay: 5s !important;}

/* Footer styles */
footer .wp-block-image {
  margin: 0;
  padding: 0;
  height: auto;
}
footer .business-info a {
	font-weight:var(--wp--custom--font-weight--bold);
	line-height:1.2;
}
footer .business-info a:hover {
	color:var(--wp--preset--color--primary);
}

